Support » Plugin: Shortcake (Shortcode UI) » Something’s rotten in the state of Denmark –

  • I’ve been using this plugin successfully to provide clients with a UI for adding shortcodes. Recently, though, I’ve noticed errors when using it to edit an item in a custom taxonomy created with ACF. The problem arises because of the current_user_can_edit_post() test — I’m logged in as an admin so it’s definitely not that I don’t have permission, I suspect the test is simply inappropriate but I’m not enough of a WP guru to know what would be a better plan, or if the test is even necessary at all. In any case, commenting out this test in render_shortcode_for_preview() in class-shortcode-ui.php solves the problem, but it seems like the wrong approach, and of course if the plugin ever gets updated then that’ll go.

  • The topic ‘Something’s rotten in the state of Denmark –’ is closed to new replies.